# FoundationClasses
TKMath
TColgp

# TColgp_HSequenceOfXY Class Reference

`#include <TColgp_HSequenceOfXY.hxx>`

Inheritance diagram for TColgp_HSequenceOfXY:

[legend]

## Public Member Functions

| TColgp_HSequenceOfXY ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const gp_XY &anItem)
Standard_EXPORT void | Append (const Handle(TColgp_HSequenceOfXY)&aSequence)
Standard_EXPORT void | Prepend (const gp_XY &anItem)
Standard_EXPORT void | Prepend (const Handle(TColgp_HSequenceOfXY)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const gp_XY &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColgp_HSequenceOfXY)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const gp_XY &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColgp_HSequenceOfXY)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColgp_HSequenceOfXY | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const gp_XY &anItem)
Standard_EXPORT const gp_XY & | Value (const Standard_Integer anIndex) const
Standard_EXPORT gp_XY & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColgp_SequenceOfXY & | Sequence () const
TColgp_SequenceOfXY & | ChangeSequence ()
Standard_EXPORT Handle_TColgp_HSequenceOfXY | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColgp_SequenceOfXY | mySequence

## Constructor & Destructor Documentation

TColgp_HSequenceOfXY::TColgp_HSequenceOfXY | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColgp_HSequenceOfXY::Append | ( | const Handle(TColgp_HSequenceOfXY)& | aSequence | ) |

Standard_EXPORT void TColgp_HSequenceOfXY::Append | ( | const gp_XY & | anItem | ) |

TColgp_SequenceOfXY& TColgp_HSequenceOfXY::ChangeSequence | ( |  | ) |

Standard_EXPORT gp_XY& TColgp_HSequenceOfXY::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColgp_HSequenceOfXY::Clear | ( |  | ) |

Standard_EXPORT void TColgp_HSequenceOfXY::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColgp_HSequenceOfXY::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColgp_HSequenceOfXY::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColgp_HSequenceOfXY)& | aSequence
| ) |

Standard_EXPORT void TColgp_HSequenceOfXY::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const gp_XY & | anItem
| ) |

Standard_EXPORT void TColgp_HSequenceOfXY::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColgp_HSequenceOfXY)& | aSequence
| ) |

Standard_EXPORT void TColgp_HSequenceOfXY::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const gp_XY & | anItem
| ) |

Standard_Boolean TColgp_HSequenceOfXY::IsEmpty | ( |  | ) | const

Standard_Integer TColgp_HSequenceOfXY::Length | ( |  | ) | const

Standard_EXPORT void TColgp_HSequenceOfXY::Prepend | ( | const Handle(TColgp_HSequenceOfXY)& | aSequence | ) |

Standard_EXPORT void TColgp_HSequenceOfXY::Prepend | ( | const gp_XY & | anItem | ) |

Standard_EXPORT void TColgp_HSequenceOfXY::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColgp_HSequenceOfXY::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColgp_HSequenceOfXY::Reverse | ( |  | ) |

const TColgp_SequenceOfXY& TColgp_HSequenceOfXY::Sequence | ( |  | ) | const

Standard_EXPORT void TColgp_HSequenceOfXY::SetValue | ( | const Standard_Integer | anIndex,
|  | const gp_XY & | anItem
| ) |

Standard_EXPORT Handle_TColgp_HSequenceOfXY TColgp_HSequenceOfXY::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColgp_HSequenceOfXY TColgp_HSequenceOfXY::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const gp_XY& TColgp_HSequenceOfXY::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColgp_SequenceOfXY TColgp_HSequenceOfXY::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColgp_HSequenceOfXY.hxx